package com.landray.kmss.sys.attachment.integrate.suwell.util;

import com.landray.kmss.sys.attachment.thirdSfs.vo.ThirdSfsResponseResult;
import com.landray.kmss.sys.attachment.thirdSfs.util.SysAttThirdProxyUtil;
import com.landray.kmss.sys.attachment.integrate.suwell.util.constant.ThirdSuwellConstant;
import com.alibaba.fastjson.JSONObject;
import org.slf4j.LoggerFactory;
import org.slf4j.Logger;

public class SysAttSuwellUtil
{
    private static final Logger logger;
    
    static {
        logger = LoggerFactory.getLogger(SysAttSuwellUtil.class);
    }
    
    public static String getSuwellPreviewUrl(final String fdAttMainId) throws Exception {
        String _rtn = "";
        final JSONObject json = new JSONObject();
        json.put("fdAttMainId", (Object)fdAttMainId);
        json.put("ismobile", (Object)"1");
        final ThirdSfsResponseResult suwellPreviewUrl = SysAttThirdProxyUtil.getViewUrl(ThirdSuwellConstant.SUWELL_SERVICE_NAME, json);
        if (!suwellPreviewUrl.getData().isEmpty()) {
            _rtn = suwellPreviewUrl.getData().getString("url");
        }
        return _rtn;
    }
}
